Chameleon

Chameleon Svn Source Tree

Root/branches/rewrite/i386/config/lxdialog/check-lxdialog.sh

  • Property svn:executable set to *
Source at commit 1146 created 12 years 11 months ago.
By azimutz, Sync with trunk (r1145). Add nVidia dev id's, 0DF4 for "GeForce GT 450M" (issue 99) and 1251 for "GeForce GTX 560M" (thanks to oSxFr33k for testing).
1#!/bin/sh
2# Check ncurses compatibility
3
4# What library to link
5ldflags()
6{
7for ext in so a dylib ; do
8for lib in ncursesw ncurses curses ; do
9$cc -print-file-name=lib${lib}.${ext} | grep -q /
10if [ $? -eq 0 ]; then
11echo "-l${lib}"
12exit
13fi
14done
15done
16exit 1
17}
18
19# Where is ncurses.h?
20ccflags()
21{
22if [ -f /usr/include/ncurses/ncurses.h ]; then
23echo '-I/usr/include/ncurses -DCURSES_LOC="<ncurses.h>"'
24elif [ -f /usr/include/ncurses/curses.h ]; then
25echo '-I/usr/include/ncurses -DCURSES_LOC="<ncurses/curses.h>"'
26elif [ -f /usr/include/ncursesw/curses.h ]; then
27echo '-I/usr/include/ncursesw -DCURSES_LOC="<ncursesw/curses.h>"'
28elif [ -f /usr/include/ncurses.h ]; then
29echo '-DCURSES_LOC="<ncurses.h>"'
30else
31echo '-DCURSES_LOC="<curses.h>"'
32fi
33}
34
35# Temp file, try to clean up after us
36tmp=.lxdialog.tmp
37trap "rm -f $tmp" 0 1 2 3 15
38
39# Check if we can link to ncurses
40check() {
41 $cc -xc - -o $tmp 2>/dev/null <<'EOF'
42#include CURSES_LOC
43main() {}
44EOF
45if [ $? != 0 ]; then
46 echo " *** Unable to find the ncurses libraries or the" 1>&2
47 echo " *** required header files." 1>&2
48 echo " *** 'make menuconfig' requires the ncurses libraries." 1>&2
49 echo " *** " 1>&2
50 echo " *** Install ncurses (ncurses-devel) and try again." 1>&2
51 echo " *** " 1>&2
52 exit 1
53fi
54}
55
56usage() {
57printf "Usage: $0 [-check compiler options|-ccflags|-ldflags compiler options]\n"
58}
59
60if [ $# -eq 0 ]; then
61usage
62exit 1
63fi
64
65cc=""
66case "$1" in
67"-check")
68shift
69cc="$@"
70check
71;;
72"-ccflags")
73ccflags
74;;
75"-ldflags")
76shift
77cc="$@"
78ldflags
79;;
80"*")
81usage
82exit 1
83;;
84esac
85

Archive Download this file

Revision: 1146